# Generated by Django 4.2.10 on 2024-03-09 14:03

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('animeflix_app', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Author',
            fields=[
                ('user', models.OneToOneField(db_column='user', on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to='animeflix_app.utente')),
                ('n_thread', models.PositiveIntegerField(default=0)),
                ('n_post', models.PositiveIntegerField(default=0)),
            ],
            options={
                'db_table': 'FORUM_author',
            },
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('description', models.CharField(max_length=50, primary_key=True, serialize=False)),
            ],
            options={
                'db_table': 'FORUM_category',
                'ordering': ['description'],
            },
        ),
        migrations.CreateModel(
            name='Thread',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('title', models.TextField(max_length=100)),
                ('n_post', models.PositiveIntegerField(default=1)),
                ('category', models.ForeignKey(db_column='category', on_delete=django.db.models.deletion.CASCADE, to='forum.category')),
                ('creator', models.ForeignKey(db_column='creator', on_delete=django.db.models.deletion.DO_NOTHING, to='forum.author')),
            ],
            options={
                'db_table': 'FORUM_thread',
            },
        ),
        migrations.CreateModel(
            name='Post',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('message', models.TextField()),
                ('is_thread_post', models.BooleanField(default=False, editable=False)),
                ('creation_date', models.DateTimeField(auto_now_add=True)),
                ('mod_date', models.DateTimeField(auto_now=True)),
                ('author', models.ForeignKey(db_column='author', on_delete=django.db.models.deletion.DO_NOTHING, to='forum.author')),
                ('id_thread', models.ForeignKey(db_column='id_thread', on_delete=django.db.models.deletion.CASCADE, to='forum.thread')),
                ('quote', models.ForeignKey(db_column='quote', null=True, on_delete=django.db.models.deletion.SET_NULL, to='forum.post')),
            ],
            options={
                'db_table': 'FORUM_post',
                'ordering': ['creation_date'],
            },
        ),
    ]
